import { Tabs } from 'antd';
import SourceCode from 'dumi/theme-default/builtins/SourceCode';
import React, { useContext } from 'react';
import SiteContext from "dumi/theme/slots/SiteContext";
import WindowsLogo from "./windows";
import MacOSLogo from "./macos";
import LinuxLogo from "./linux";
import { jsx as ___EmotionJSX } from "@emotion/react";
var windowsLabel = ___EmotionJSX("span", {
  className: "snippet-label"
}, ___EmotionJSX(WindowsLogo, null), "windows");
var MacOSLabel = function MacOSLabel(props) {
  return ___EmotionJSX("span", {
    className: "snippet-label"
  }, ___EmotionJSX(MacOSLogo, props), "macos");
};
var linuxLabel = ___EmotionJSX("span", {
  className: "snippet-label"
}, ___EmotionJSX(LinuxLogo, null), "linux");
var BashOSPlatform = function BashOSPlatform(props) {
  var windows = props.windows,
    linux = props.linux,
    macos = props.macos;
  var _useContext = useContext(SiteContext),
    theme = _useContext.theme;
  var items = React.useMemo(function () {
    return [{
      key: 'windows',
      children: windows ? ___EmotionJSX(SourceCode, {
        lang: "bash"
      }, windows) : null,
      label: windowsLabel
    }, {
      key: 'linux',
      children: linux ? ___EmotionJSX(SourceCode, {
        lang: "bash"
      }, linux) : null,
      label: linuxLabel
    }, {
      key: 'macos',
      children: macos ? ___EmotionJSX(SourceCode, {
        lang: "bash"
      }, macos) : null,
      label: ___EmotionJSX(MacOSLabel, {
        theme: theme
      })
    }].filter(function (item) {
      return item.children;
    });
  }, [windows, linux, macos, theme]);
  return ___EmotionJSX(Tabs, {
    className: "antd-site-snippet",
    defaultActiveKey: "windows",
    items: items
  });
};
export default BashOSPlatform;