import { Tabs } from 'antd';
import SourceCode from 'dumi/theme-default/builtins/SourceCode';
import React from 'react';
import NpmLogo from "./npm";
import PnpmLogo from "./pnpm";
import YarnLogo from "./yarn";
import { jsx as ___EmotionJSX } from "@emotion/react";
var npmLabel = ___EmotionJSX("span", {
  className: "snippet-label"
}, ___EmotionJSX(NpmLogo, null), "npm");
var pnpmLabel = ___EmotionJSX("span", {
  className: "snippet-label"
}, ___EmotionJSX(PnpmLogo, null), "pnpm");
var yarnLabel = ___EmotionJSX("span", {
  className: "snippet-label"
}, ___EmotionJSX(YarnLogo, null), "yarn");
var InstallDependencies = function InstallDependencies(props) {
  var npm = props.npm,
    yarn = props.yarn,
    pnpm = props.pnpm;
  var items = React.useMemo(function () {
    return [{
      key: 'npm',
      children: npm ? ___EmotionJSX(SourceCode, {
        lang: "bash"
      }, npm) : null,
      label: npmLabel
    }, {
      key: 'yarn',
      children: yarn ? ___EmotionJSX(SourceCode, {
        lang: "bash"
      }, yarn) : null,
      label: yarnLabel
    }, {
      key: 'pnpm',
      children: pnpm ? ___EmotionJSX(SourceCode, {
        lang: "bash"
      }, pnpm) : null,
      label: pnpmLabel
    }].filter(function (item) {
      return item.children;
    });
  }, [npm, yarn, pnpm]);
  return ___EmotionJSX(Tabs, {
    className: "antd-site-snippet",
    defaultActiveKey: "npm",
    items: items
  });
};
export default InstallDependencies;